<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
	"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper
	namespace="com.xunhong.erp.turbo.biz.infrastructure.mapper.OrderDealerMapper">
	<resultMap id="BaseResultMap"
			   type="com.xunhong.erp.turbo.biz.infrastructure.entity.OrderDealerDO">
		<result property="orderDealerId" column="order_dealer_id"/>
		<result property="orderId" column="order_id"/>
		<result property="dealerId" column="dealer_id"/>
		<result property="shortName" column="short_name"/>
		<result property="dealerType" column="dealer_type"/>
		<result property="taxSubsidy" column="tax_subsidy"/>
		<result property="taxProvision" column="tax_provision"/>
		<result property="costDifference" column="cost_difference"/>
		<result property="profitSharing" column="profit_sharing"/>
		<result property="setting" column="setting"
				typeHandler="com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler"/>
		<result property="createdAt" column="created_at"/>
		<result property="createdAt" column="created_at"/>
		<result property="updatedAt" column="updated_at"/>
		<result property="isDelete" column="is_delete"/>
		<result property="version" column="version"/>
	</resultMap>
</mapper>
